body {
    margin: 0;
    padding: 0;
    background-color: whitesmoke;
    font-family: "Raleway", sans-serif;
    font-optical-sizing: auto;
    font-weight: 300;
    font-style: normal;

}

/** #ECC5C0 /
 */

body::before {
    content: none;
    display: block;
    box-sizing: border-box;
    width: 100%;

}

:root {
    --z-fixed: 100;
    --header-height: 3.5rem;

}


ul {
    list-style: none;
}

a {
    text-decoration: none;
}


/*CLASSES*/

.slider {
    width: 40px;
    height: 40px;
}

.home_container {
    margin: 3rem 10% 10rem 10%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 3rem;
}

.description {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    margin-bottom: 2rem;
    width: 50%;
    height: 50%;
    padding: 0.5rem;
    font-weight: 500;
    font-size: 20px;
    justify-content: center;
    text-align: center;
}

.description p {
    margin: 0;
    text-align: justify;
}
.description h3 {
    font-weight: bold;
    text-align: center;
    margin: 0;
    padding:0;
}
.description_slide {

    position: relative;
    overflow: hidden;
    width: 600px;
    background: rgba(239 221 205 / 63%);
    border-radius: 3px;
    height: 500px;
    box-shadow: 0 0 5px 5px rgba(205 188 177 / 58%);
    justify-content: center;
}

.slide {
    background-color: rgba(209, 179, 153, 0.28);
    opacity: 0;
    visibility: hidden;
    transform: translateX(100%);
    transition: transform 0.7s ease, visibility 0s linear 0.8s;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    text-align: center;
}


.slide.active {
    opacity: 1;
    visibility: visible;
    transform: translateX(0);
    transition: transform 0.7s ease-in-out;
}


.slide.out-left {
    opacity: 1;
    visibility: visible;
    transform: translateX(-100%);
    transition: transform 0.7s ease;;
}


.slide.in-right {
    opacity: 1;
    visibility: visible;
    transform: translateX(100%);
    transition: transform 0.6s ease-in;
}

.info_slide h1 {
    color: #56443F;
    padding-bottom: 3rem;
}

.info_slide p {
    color: black;
    font-size: 1.2rem;
    font-weight: 500;
}

.slider_navigation {
    z-index: 2;
    position: absolute;
    display: flex;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    gap: 1rem;
}

.button {
    background: rgba(108, 108, 108, 0.49);
    width: 15px;
    height: 15px;
    border-radius: 50%;
    cursor: pointer;
}

.button.active {
    background: #56443F;
}

.nota_prawna {
    width: 100%;
    background-color: #323232;
    margin: 0;
    bottom: 0;
}

.nota_inside {
    color: #D1B399;
    margin: 0 5%;
    display: grid;
    grid-template-rows: repeat(2, auto);
    font-weight: 500;
    font-size: 15px;
    justify-content: center;
    text-align: justify;
}
.naglowek_home {
    font-size: 60px;
    margin-bottom: 0.4rem;
    color: #D1B399;
}
.naglowek_name {
    font-size: 50px;
    margin: 0;
    color: #D1B399;
    font-family: 'Alamatha', serif;
    font-weight: 400;
    font-style: italic;
}
.line_home {
    height: 1px;
}
@media screen and (min-width: 1120px) {

    #cookies_popup {
        z-index: 999;
        text-align: center;
        position: fixed;
        bottom: 0;
        left: 0;
        right: 0;
        padding: 2rem 4rem;
        height: 3.5rem;
        background-color: rgba(232, 222, 216, 0.87);
        transition: opacity 1s ease;
    }

    #cookies_popup.hidden {
        opacity: 0;
        pointer-events: none;
    }

    #cookies_popup a {
        text-decoration: none;
        font-weight: bold;
        color: #56443F;
    }

    .homeimage {
        display: flex;
        position: relative;
        top: 8rem;
        width: 100%;
        max-height: 500px;
        overflow: hidden;
    }

    .homeimg {
        width: 100%;
        height: auto;
        object-fit: cover;
    }

    .info_slide {
        position: absolute;
        top: 0;
        padding: 3rem 3rem;
    }
    .slider_text {
        font-size: 30px;
    }

    .description_slide {
        margin-left: 10rem;
    }
    .home_naglowek {
        display: flex;
        flex-direction: column;
        gap: 1rem;
        font-size: 35px;
        font-weight: bold;
        margin-top: 2rem;
        align-items: center;
        text-align: center;
        justify-content: center;
    }
    .home_background_container {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: row;
        gap: 3rem;


    }

    .home_background {
        opacity: 6;
        width: 350px;
        height: 350px;
    }
    .home_naglowek_background {
        margin-top: 8rem;
        padding-bottom: 2rem;
        width: 100%;
        background-color: #323232;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        text-align: center;
    }
}

@media screen and (max-width: 1650px) and (min-width: 1121px) {
    .description_slide {
        margin-left: 2rem;
    }
    .home_background_container {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: row;
        gap: 1.5rem;


    }
}

/*mobile*/
@media screen and (max-width: 1120px) {
    .homeimage {
        display: flex;
        position: relative;
        max-width: 100%;
        top: 5.5rem;
        justify-content: center;
        overflow: hidden;
        margin-bottom: 2rem;
    }

    .homeimg {
        width: 100%;
        min-height: 150px;
        object-fit: cover;
    }

    .home_container {
        margin: 4rem 0 0.75rem 0;
        display: flex;
        flex-wrap: wrap;
        gap: 3rem;
    }

    .description {
        margin: 0 10%;
        width: 100%;
    }

    .slide {
        position: absolute;
        width: 100%;
        height: 100%;
        display: flex;
        text-align: center;
        justify-content: center;
        align-items: center;
    }

    .description_slide {
        width: 100%;
        height: 20rem;
        justify-content: center;
        align-items: center;
    }

    .slider_navigation {
        z-index: 2;
        position: absolute;
        display: flex;
        bottom: 10px;
        left: 50%;
        transform: translateX(-50%);
        gap: 1rem;
        justify-content: center;
    }

    .info_slide {
        position: absolute;
        display: grid;
        padding: 0.5rem 1rem;
        justify-content: center;
        justify-items: center;

    }

    .info_slide h1 {
        font-size: 1.5rem;
        padding: 0;
    }

    .info_slide p {
        font-size: 1rem;
    }

    .nota_inside {
        color: #D1B399;
        margin: 0 1rem;
        display: grid;
        grid-template-rows: repeat(2, auto);
        font-weight: 500;
        font-size: 13px;
        justify-content: center;
        text-align: justify;
    }

    #cookies_popup {
        z-index: 999;
        display: flex;
        flex-wrap: wrap;
        text-align: center;
        position: fixed;
        bottom: 0;
        left: 0;
        right: 0;
        padding: 2rem 4rem 4rem 4rem;
        height: 5rem;
        background-color: rgba(232, 222, 216, 0.87);
        transition: opacity 1s ease;
    }

    #cookies_popup.hidden {
        opacity: 0;
        pointer-events: none;
    }

    #cookies_popup a {
        text-decoration: none;
        font-weight: bold;
        color: #56443F;
    }
    .home_naglowek {
        display: flex;
        flex-direction: column;
        gap: 1rem;
        font-size: 35px;
        font-weight: bold;
        margin-top: 1rem;
        align-items: center;
        text-align: center;
        justify-content: center;
    }
    .home_background_container {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: row;
        gap: 0.4rem;


    }

    .home_background {
        opacity: 6;
        width: 120px;
        height: 120px;
        object-fit: fill;
    }
    .home_naglowek_background {
        margin-top: 5rem;
        padding-bottom: 1rem;
        width: 100%;
        background-color: #323232;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        text-align: center;
    }
    .naglowek_home {
        font-size: 40px;
        margin-bottom: 0.4rem;
        color: #D1B399;
    }
    .naglowek_name {
        font-size: 35px;
        margin: 0;
        color: #D1B399;
        font-family: 'Alamatha', serif;
        font-weight: 400;
        font-style: italic;
    }
    .line_home {
        height: 1px;
    }
}


/*mobile2*/
@media screen and (max-width: 420px) {
    .home_container {
        margin: 3rem 0 3.5rem 0;
        display: flex;
        flex-wrap: wrap;
        gap: 3rem;

    }

    .description_slide {
        width: 100%;
        height: 450px;
        justify-content: center;
        align-items: center;
    }

}





